import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Frog here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Frog extends Jumper
{
    private GreenfootImage sitting = new GreenfootImage("frog-sitting.png");
    private GreenfootImage jumping = new GreenfootImage("frog-jumping.png");
    
    private int verticalSpeed = 0;
    private int speed = 0;

    /**
     * Act - do whatever the Frog wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        int xPosition = getX();
        int yPosition = getY();
        speed = 0;
        
        if (onGround() == true)
        {
           setImage(sitting);
           verticalSpeed = 0;
           
           if(Greenfoot.isKeyDown("up"))
           {
                verticalSpeed = -20;
           }
        }
        else
        {
            setImage(jumping);
            verticalSpeed = verticalSpeed + 1;
            
        }
        
        
        if(Greenfoot.isKeyDown("left"))
        {
            speed = -10;
        }
        else if(Greenfoot.isKeyDown("right"))
        {
            speed = 10;
        }
      
        
        setLocation( xPosition + speed , yPosition + verticalSpeed);
         
         
        // Stops the frog falling off the bottom of the screen
        if (getY() > getWorld().getHeight() - getImage().getHeight()/2)
        {
            setLocation (xPosition, getWorld().getHeight() - getImage().getHeight()/2);
        }
        

    }
}